RIO_HW_ADD_OUTB_M(9)

NAME
rio_hw_add_outb_message - Add message to the MPC85xx outbound message queue

SYNOPSIS

int rio_hw_add_outb_message (struct rio_mport * mport, struct rio_dev * rdev, int mbox, void * buffer, size_t len);

ARGUMENTS

mport
    Master port with outbound message queue

rdev
    Target of outbound message

mbox
    Outbound mailbox

buffer
    Message to add to outbound queue

len Length of message

DESCRIPTION

Adds the buffer message to the MPC85xx outbound message queue. Returns 0 on success or -EINVAL on failure.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.